Skip to main content
POST
/
v1
/
dashboards
/
{id}
/
set_default
Sets dashboard to user default
curl --request POST \
  --url https://api.rootly.com/v1/dashboards/{id}/set_default \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "dashboards",
    "attributes": {
      "name": "<string>",
      "public": true,
      "team_id": 123,
      "user_id": 123,
      "description": "<string>",
      "range": "<string>",
      "period": "<string>",
      "auto_refresh": true,
      "icon": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Response

dashboard found by slug

data
object
required
included
object[]